/*
 * GameOver.cpp
 *
 *  Created on: Jun 21, 2014
 *      Author: brian
 */

#include "GameOver.h"


GameOver::GameOver() {
	m_signAlive = false;
	GameObject::setActive(false);
	numCurrentTime = SDL_GetTicks();
	numDelayTime = 2000;
	numLastTime = SDL_GetTicks();
	m_started = false;
	m_finished = false;
}


void GameOver::startAnimation(){
	m_started = true;
	m_finished = false;
	numLastTime = SDL_GetTicks();
	GameObject::setActive(true);
}

void GameOver::resetFinish() {
	m_finished = false;
}



bool GameOver::started() {
	return m_started;

}

bool GameOver::finished() {
	return m_finished;

}

void GameOver::showSign() {
	numCurrentTime = SDL_GetTicks();
	if (numCurrentTime - numLastTime > numDelayTime) {
		m_finished = true;
		m_started = false;
		GameObject::setActive(false);
		// reset flag

	}
}




