/*
 * Splash.cpp
 *
 *  Created on: Mar 8, 2014
 *      Author: brian
 */

#include "Splash.h"

using namespace std;

Splash::Splash() {
	m_startTime = SDL_GetTicks();
	m_aliveTime =  4250;
	m_alive = true;
}

Splash::~Splash() {

}

void Splash::load(int x, int y, int width, int height, std::string  textureID) {

	//GameObject::load(x, y, width, height, textureID);
	for (int i=0; i< NUMDROPS; i++) {
		drops[i].load(x,y,width,height,textureID);
		drops[i].setRandHeading();
	}
	//cout << "Splash at " << x << "," << y << endl;
}

//void Splash::makeSplash(int x, int y) {
//	cout << "Splash at " << x << "," << y << endl;
//}

void Splash::draw(SDL_Renderer* pRenderer) {
	//cout << "splash draw" << endl;
	for (int i=0; i< NUMDROPS; i++) {
		drops[i].draw(pRenderer);
	}
}

void Splash::update() {

	m_currentTime =  SDL_GetTicks();
	if (m_currentTime - m_startTime > m_aliveTime)
		m_alive = false;
	for (int i=0; i< NUMDROPS; i++) {
		drops[i].update();
	}
}

bool Splash::isDead() {
	return ! m_alive;
}

void Splash::clean() {

}

